Ginkgo: gko::experimental::reorder::Amd< IndexType >::parameters_type Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::experimental::reorder::Amd< IndexType >::parameters_type Struct Reference
Inheritance diagram for gko::experimental::reorder::Amd< IndexType >::parameters_type:
[legend]
Collaboration diagram for gko::experimental::reorder::Amd< IndexType >::parameters_type:
[legend]

## Public Member Functions
template<typename... Args>
auto | with_skip_symmetrize (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_skip_sorting (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< parameters_type, Amd< IndexType > >
parameters_type & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Amd< IndexType > > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
bool | skip_symmetrize {false}
| If set to false, computes the AMD reordering on A + A^T, otherwise assumes that A is symmetric and uses it directly.
bool | skip_sorting {false}
| If set to false, sorts the input matrix before computing the AMD reordering.

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< parameters_type, Amd< IndexType > >
using | factory

## Member Data Documentation

## ◆ skip_sorting

template<typename IndexType = int32>

bool gko::experimental::reorder::Amd< IndexType >::parameters_type::skip_sorting {false}

If set to false, sorts the input matrix before computing the AMD reordering.

If the input matrix is not sorted by column index, the symmetrization or AMD reordering may fail silently or crash.

The documentation for this struct was generated from the following file:

- ginkgo/core/reorder/amd.hpp